Green Challenges in Computing-Aware Traffic Steering (CATS)
Jing Wang
China Mobile
No.32 XuanWuMen West Street
Beijing
100053
China
wangjingjc@chinamobile.com
Yuexia Fu
China Mobile
No.32 XuanWuMen West Street
Beijing
100053
China
fuyuexia@chinamobile.com
Cheng Li
Huawei Technologies
Huawei Campus, No. 156 Beiqing Rd.
Beijing
100095
China
c.l@huawei.com
8 July 2024
cats
As mobile edge computing networks sink computing tasks from cloud data centers to the edge of the network, tasks need to be processed by computing resources close to the user side. Therefore, CATS was raised. Reducing carbon footprint is a major challenge of our time. Networks are the main enablers of carbon reductions. The introduction of computing dimension in CATS makes it insufficient to consider the energy saving of network dimension in the past, so the green for CATS based on network and computing combination is worth exploring. This document outlines a series of challenges and associated research to explore ways to reduce carbon footprint and reduce network energy based on CATS.

Introduction
With the continuous development and progress of the Internet, a large amount of computing resources is required to complete data processing. In order to disperse the pressure of cloud data centers, computing power gradually moves from the center to the edge, forming scattered computing resources in mobile networks. In order to make full use of scattered computing resources and provide better services, Computing-Aware Traffic Steering (CATS) is proposed to support steering the traffic among different edge sites according to both the real-time network and computing resource status as mentioned in [I-D.ietf-cats-usecases-requirements]. It requires the network to be aware of computing resource information and select a service instance based on the joint metric of computing and networking.
Green has become a global topic. The United Nations and the vast majority of governments agree that climate change and the need to curb greenhouse gas emissions are the major challenges of our time. Therefore, improving energy efficiency and reducing electricity consumption are becoming increasingly important for society and many industries. The networking industry is no exception. The IETF conducted a study on the energy costs of the IETF meeting three times a year. The results showed that it was found that 99% of energy consumption came from air travel.
In addition, there are several papers that discuss green networks, and some work [I-D.cx-green-ps] summarizes the energy-saving possibilities that exist in the network. However, there is no discussion of joint optimization of green and energy savings with computing and networking. Therefore, this document outlines a series of challenges and related research to explore ways to reduce carbon emissions and reduce network energy based on CATS.

Definition of Terms
Computing-Aware Traffic Steering (CATS): Aiming at computing and network resource optimization by steering traffic to appropriate computing resources considering not only routing metric but also computing resource metric.
Service: A monolithic functionality that is provided by an endpoint according to the specification for said service. A composite service can be built by orchestrating monolithic services.
Service instance: Running environment (e.g., a node) that makes the functionality of a service available. One service can have several instances running at different network locations.

Challenges
Considering energy savings in CATS creates challenges in the following aspects

Computing Resource Energy Consumption Modeling
Computing resource status is considered in Cats, so it is necessary to research the modeling of computing resource energy consumption in order to save energy. The energy consumption of the equipment is different when the load is different. For example, the energy efficiency of equipment is different when it is not loaded or at full load. Therefore, it is also a challenge to consider which factors to consider when modeling the energy consumption of computing resources.

Joint Optimization of Computing and Network
The magnitude of computing energy consumption may differ from the magnitude of network energy consumption. Therefore, when computing and network are jointly optimized, how to weigh the two in joint optimization becomes a challenge. When the computing energy consumption is large enough, the impact of network energy consumption on the joint optimization results is negligible.

Service Experience Guarantee
The service experience that takes energy saving factors into account in CATS is distinct from the service experience that does not consider energy saving factors. The implementation of energy conservation may come with sacrifices in user service experience. Users have limitations on factors such as latency when making requests. Therefore, when conducting joint optimization, how to guarantee user service experience while conserving energy is also a challenge.

Energy Consumption of Other Equipment
The computing resources may be in the data center, edge computing nodes or others. In order to ensure the normal operation of network and computing equipment, the source of energy consumption is not only the equipment itself, but also some other equipment, such as :
Cool equipment : computing resources will emit heat into the air during operation. When the temperature is too high, the operation of the equipment will be affected. So refrigeration is required to reduce the temperature of the equipment to ensure that the equipment operates at a higher performance.
The normal running of computing resources are inseparable from the support of refrigeration equipment and other equipment. Therefore, when performing joint optimization of network and computing, the energy consumption generated by equipment other than network equipment and computing equipment should also be considered.

Evaluation of Computing Equipment Energy Consumption Performance
The energy efficiency level requirements of computing equipments can also be considered when performing traffic steering. Since there is no standardized definition of computing energy efficiency for different computing equipments. Therefore, it is difficult to consider the computing energy efficiency level of computing equipments when traffic steering.

Using of Green Energy
Green energy, also known as clean energy, refers to energy that does not emit pollutants and can be directly used for production and daily life, including nuclear energy and renewable energy. Renewable energy refers to energy sources that can be regenerated from raw materials, such as hydroelectric power, wind power, solar energy, bioenergy (biogas), geothermal energy (including geothermal and water sources), and tidal energy. Renewable energy does not have the possibility of energy depletion, therefore, the development and utilization of renewable energy are increasingly valued by many countries, especially those with energy shortages.
The development of green CATS cannot be separated from the use of green energy. Although the current use of green energy in network devices has a certain scale, the industry's consideration of the consumption of green energy for equipment in traffic steering is incomplete and further research is needed.

Observation
Recently, the document [I-D.cx-opsawg-green-metrics] gives some green networking metrics for network instrumentation to optimize the energy efficiency of the network. It divides the green metrics into four categories according to the subject of the metrics, as follows:
At the device/equipment level: The author considers three factors. The first are energy consumption metrics. Some of these metrics could be provided by the data sheet that comes with the device or could be measured simply in a lab, such as power consumption when idle, power consumption when fully loaded, power consumption at various loads and so on. The others are not fixed and need to be accounted according to the actual operation of the network equipment, such as current power consumption/kB (or gB), current power consumption/packet, power drawn since system started for the past minute and so on. The second is green metrics beyond energy consumption, Wich is related to the power source of the device and the environment in which the device is located. The third is related to network instrumentation virtualization. Nowadays, network instrumentation could be virtualized and hosted (for example) in data centers.
At the flow level: These metrics are related to flows, such as amortized energy consumed over the duration of the flow and Incremental energy consumed over the duration of the flow.
At the path level: These metrics can evaluate the energy consumption of paths and optimize these paths so that the overall footprint is minimized. The author gives some candidate metrics, such as energy rating of a path, current power consumption across a path and incremental power for a packet over a path.
At the network level: These metrics can reflect the energy usage of the entire network.

Conclusion
This document highlights the green challenges in Cats and summarizes the latest IETF work which is associated with green networking. As is well known, Cats not only considers network resource status, but also computing resource status. Therefore, energy consumption research of Cats can also consider both network and computing energy consumption from the device/equipment, path and network level.

Security Considerations
TBD.

IANA Considerations
TBD.

Acknowledgements
The authors would like to thank thank Adrian Farrel and Peng Liu for their valuable suggestions to this document. Additionally, the authors would also like to thank Alexander Clemm and Lijun Dong for their related work.

Informative References
[I-D.ietf-cats-usecases-requirements]
[I-D.cx-green-ps]
[I-D.cx-opsawg-green-metrics]